import numpy as np

AGE_CLASS_BOUNDARIES = [15, 18, 24, 45, 65, 80, np.inf]
AGE_CLASS_NAMES = [
    "<= 15", "<= 18", "<= 24", "<= 45", "<= 65", "<= 80", "> 80"
]
AGE_CLASS_COUNT = len(AGE_CLASS_BOUNDARIES)

NUMBER_OF_VEHICLES_BOUNDARIES = [0, 1, 2, np.inf]
NUMBER_OF_VEHICLES_CLASS_NAMES = [
    "0", "1", "2", "3+"
]
NUMBER_OF_VEHICLES_CLASS_COUNT = len(NUMBER_OF_VEHICLES_BOUNDARIES)

HOUSEHOLD_SIZE_CLASS_BOUNDARIES = [1, 2, 3, 4, np.inf]
HOUSEHOLD_SIZE_CLASS_NAMES = [
    "1", "2", "3", "4", "5+"
]
HOUSEHOLD_SIZE_CLASS_COUNT = len(HOUSEHOLD_SIZE_CLASS_BOUNDARIES)
